<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'buyesrfolio',

    /*
     * Package.
     */
    'package'   => 'transactions',

    /*
     * Modules.
     */
    'modules'   => ['past_transaction', 
'transaction_file'],

    'past_transaction'       => [
        'model' => [
            'model'                 => \Buyesrfolio\Transactions\Models\PastTransaction::class,
            'table'                 => 'past_transactions',
            'presenter'             => \Buyesrfolio\Transactions\Repositories\Presenter\PastTransactionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'property_address',  'city',  'zipcode',  'state',  'property_typ',  'unit',  'representing',  'listing_date',  'selling_date',  'listing_price',  'selling_price',  'bedrooms',  'bathrooms',  'mls_name',  'square_feet',  'mls_number',  'transaction_details',  'other_agent_name',  'other_agent_office',  'other_agent_license',  'broker_listing_page',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'transactions/past_transaction',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'Transactions',
            'module'    => 'PastTransaction',
        ],

    ],

    'transaction_file'       => [
        'model' => [
            'model'                 => \Buyesrfolio\Transactions\Models\TransactionFile::class,
            'table'                 => 'transaction_files',
            'presenter'             => \Buyesrfolio\Transactions\Repositories\Presenter\TransactionFilePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'file',  'extension',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'transactions/transaction_file',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'Transactions',
            'module'    => 'TransactionFile',
        ],

    ],
];
