<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePastTransactionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: past_transactions
         */
        Schema::create('past_transactions', function ($table) {
            $table->increments('id');
            $table->text('property_address')->nullable();
            $table->text('city')->nullable();
            $table->text('zipcode')->nullable();
            $table->text('state')->nullable();
            $table->text('property_typ')->nullable();
            $table->text('unit')->nullable();
            $table->text('representing')->nullable();
            $table->text('listing_date')->nullable();
            $table->text('selling_date')->nullable();
            $table->text('listing_price')->nullable();
            $table->text('selling_price')->nullable();
            $table->text('bedrooms')->nullable();
            $table->text('bathrooms')->nullable();
            $table->text('mls_name')->nullable();
            $table->text('square_feet')->nullable();
            $table->text('mls_number')->nullable();
            $table->text('transaction_details')->nullable();
            $table->text('other_agent_name')->nullable();
            $table->text('other_agent_office')->nullable();
            $table->text('other_agent_license')->nullable();
            $table->text('broker_listing_page')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('past_transactions');
    }
}
