Lavalite package that provides transactions management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `buyesrfolio/transactions`.

    "buyesrfolio/transactions": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Buyesrfolio\Transactions\Providers\TransactionsServiceProvider::class,

And also add it to alias

    'Transactions'  => Buyesrfolio\Transactions\Facades\Transactions::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Buyesrfolio\\TransactionsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Buyesrfolio\Transactions\Providers\TransactionsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Buyesrfolio\Transactions\Providers\TransactionsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Buyesrfolio\Transactions\Providers\TransactionsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transactions/{modulename}

**User**

    http://path-to-route-folder/user/transactions/{modulename}

**Public**

    http://path-to-route-folder/transactions


### API endpoints

**List**

    http://path-to-route-folder/api/user/transactions/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transactions/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transactions/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transactions/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transactions/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transactions/{modulename}/{slug}
    METHOD: GET