<?php

namespace Buyesrfolio\Transactions\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Buyesrfolio\Transactions\Interfaces\PastTransactionRepositoryInterface;

class PastTransactionPublicController extends BaseController
{
    // use PastTransactionWorkflow;

    /**
     * Constructor.
     *
     * @param type \Buyesrfolio\PastTransaction\Interfaces\PastTransactionRepositoryInterface $past_transaction
     *
     * @return type
     */
    public function __construct(PastTransactionRepositoryInterface $past_transaction)
    {
        $this->repository = $past_transaction;
        parent::__construct();
    }

    /**
     * Show past_transaction's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $past_transactions = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('transactions::past_transaction.names'))
            ->view('transactions::public.past_transaction.index')
            ->data(compact('past_transactions'))
            ->output();
    }


    /**
     * Show past_transaction.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $past_transaction = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($past_transaction->name . trans('transactions::past_transaction.name'))
            ->view('transactions::public.past_transaction.show')
            ->data(compact('past_transaction'))
            ->output();
    }

}
