<?php

namespace Buyesrfolio\Transactions\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind PastTransaction policy
        'Buyesrfolio\Transactions\Models\PastTransaction' => \Buyesrfolio\Transactions\Policies\PastTransactionPolicy::class,
// Bind TransactionFile policy
        'Buyesrfolio\Transactions\Models\TransactionFile' => \Buyesrfolio\Transactions\Policies\TransactionFilePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
