<?php

namespace Buyesrfolio\Transactions\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PastTransactionTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\Transactions\Models\PastTransaction $past_transaction)
    {
        return [
            'id'                => $past_transaction->getRouteKey(),
            'key'               => [
                'public'    => $past_transaction->getPublicKey(),
                'route'     => $past_transaction->getRouteKey(),
            ], 
            'property_address'  => $past_transaction->property_address,
            'city'              => $past_transaction->city,
            'zipcode'           => $past_transaction->zipcode,
            'state'             => $past_transaction->state,
            'property_typ'      => $past_transaction->property_typ,
            'unit'              => $past_transaction->unit,
            'representing'      => $past_transaction->representing,
            'listing_date'      => $past_transaction->listing_date,
            'selling_date'      => $past_transaction->selling_date,
            'listing_price'     => $past_transaction->listing_price,
            'selling_price'     => $past_transaction->selling_price,
            'bedrooms'          => $past_transaction->bedrooms,
            'bathrooms'         => $past_transaction->bathrooms,
            'mls_name'          => $past_transaction->mls_name,
            'square_feet'       => $past_transaction->square_feet,
            'mls_number'        => $past_transaction->mls_number,
            'transaction_details' => $past_transaction->transaction_details,
            'other_agent_name'  => $past_transaction->other_agent_name,
            'other_agent_office' => $past_transaction->other_agent_office,
            'other_agent_license' => $past_transaction->other_agent_license,
            'broker_listing_page' => $past_transaction->broker_listing_page,
            'deleted_at'        => $past_transaction->deleted_at,
            'url'               => [
                'public'    => trans_url('transactions/'.$past_transaction->getPublicKey()),
                'user'      => guard_url('transactions/past_transaction/'.$past_transaction->getRouteKey()),
            ], 
            'status'            => trans('app.'.$past_transaction->status),
            'created_at'        => format_date($past_transaction->created_at),
            'updated_at'        => format_date($past_transaction->updated_at),
        ];
    }
}