<?php

namespace Buyesrfolio\Transactions;

use User;

class Transactions
{
    /**
     * $past_transaction object.
     */
    protected $past_transaction;
    /**
     * $transaction_file object.
     */
    protected $transaction_file;

    /**
     * Constructor.
     */
    public function __construct(\Buyesrfolio\Transactions\Interfaces\PastTransactionRepositoryInterface $past_transaction,
        \Buyesrfolio\Transactions\Interfaces\TransactionFileRepositoryInterface $transaction_file)
    {
        $this->past_transaction = $past_transaction;
        $this->transaction_file = $transaction_file;
    }

    /**
     * Returns count of transactions.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.past_transaction.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->past_transaction->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\PastTransactionUserCriteria());
        }

        $past_transaction = $this->past_transaction->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('transactions::' . $view, compact('past_transaction'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.transaction_file.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->transaction_file->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\TransactionFileUserCriteria());
        }

        $transaction_file = $this->transaction_file->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('transactions::' . $view, compact('transaction_file'))->render();
    }
}
